Gtk2::CellRendererSpin(3)

NAME
Gtk2::CellRendererSpin - wrapper for GtkCellRendererSpin

HIERARCHY
  Glib::Object
  +----Glib::InitiallyUnowned
       +----Gtk2::Object
            +----Gtk2::CellRenderer
                 +----Gtk2::CellRendererText
                      +----Gtk2::CellRendererSpin

METHODS

  cellrenderer = Gtk2::CellRendererSpin->new

PROPERTIES

'adjustment' (Gtk2::Adjustment : default undef : readable / writable / private)
    The adjustment that holds the value of the spinbutton.

'climb-rate' (double : default 0 : readable / writable / private)
    The acceleration rate when you hold down a button

'digits' (Glib::UInt : default 0 : readable / writable / private)
    The number of decimal places to display

SEE ALSO
Gtk2, Glib::Object, Glib::InitiallyUnowned, Gtk2::Object, Gtk2::CellRenderer, Gtk2::CellRendererText

COPYRIGHT
Copyright (C) 2003-2011 by the gtk2-perl team.

This software is licensed under the LGPL. See Gtk2 for a full notice.